### Instructions

The github issue tracker is for bug reports, feature requests, and API documentation requests. General questions about how to use the GATK, how to interpret the output, etc. should be asked on the [official support forum](http://gatkforums.broadinstitute.org/gatk).
- Search the existing github issues to see if your issue (or something similar) has already been reported.  If the issue already exists, you may comment there to inquire about the progress.
- Determine whether your issue is a **bug report**, a **feature request**, or a **documentation request** (for tool/class javadoc only -- for forum docs please post there)
- Consider if your "issue" is better addressed on the GATK forum: http://gatkforums.broadinstitute.org/gatk  Post there if you have questions about expected tool behavior, output format, unexpected results, or generally any question that does not fit into the categories above
- Use a **concise** yet **descriptive** title
- Choose the corresponding template block below and fill it in, replacing or deleting text in italics (surrounded by `_`) as appropriate
- Delete the other template blocks and this header.

----

## Bug Report

### Affected tool(s) or class(es)
_Tool/class name(s), special parameters?_

### Affected version(s)
- [ ] Latest public release version [version?]
- [ ] Latest master branch as of [date of test?]

### Description 
_Describe the problem below. Provide **screenshots** , **stacktrace** , **logs** where appropriate._

#### Steps to reproduce
_Tell us how to reproduce this issue. If possible, include command lines that reproduce the problem. (The support team may follow up to ask you to upload data to reproduce the issue.)_

#### Expected behavior
_Tell us what should happen_

#### Actual behavior
_Tell us what happens instead_

----

## Feature request

### Tool(s) or class(es) involved
_Tool/class name(s), special parameters?_

### Description
_Specify whether you want a modification of an existing behavior or addition of a new capability._
_Provide **examples**, **screenshots**, where appropriate._

----

## Documentation request

### Tool(s) or class(es) involved
_Tool/class name(s), parameters?_

### Description 
_Describe what needs to be added or modified._

----

