package org.broadinstitute.hellbender.tools.funcotator.dataSources.gencode;

import java.util.Arrays;
import java.util.List;

/**
 * Helper class to contain a data provider helper method set for getting SNPs on the MUC16 gene.
 * These cases were pulled directly from Oncotator (MUC16Testdata.py)
 * Created by jonn on 9/15/17.
 */
abstract public class DataProviderForSnpsOnMuc16 {

    static List<Object[]> provideSnpDataForGetVariantClassification_0() {
        return Arrays.asList(
                new Object[] {19, 9073586, 9073586, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9073623, 9073623, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9073638, 9073638, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9073656, 9073656, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9073701, 9073701, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9073721, 9073721, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9073747, 9073747, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9073897, 9073897, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9073956, 9073956, GencodeFuncotation.VariantType.SNP, "A", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9073985, 9073985, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9074058, 9074058, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9074082, 9074082, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9074139, 9074139, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9074140, 9074140, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9074153, 9074153, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9074177, 9074177, GencodeFuncotation.VariantType.SNP, "A", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9074179, 9074179, GencodeFuncotation.VariantType.SNP, "A", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9074184, 9074184, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE}
        );
    }

    static List<Object[]> provideSnpDataForGetVariantClassification_1() {
        return Arrays.asList(
                new Object[] {19, 9074217, 9074217, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9074222, 9074222, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9074244, 9074244, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9074263, 9074263, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9074280, 9074280, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9074295, 9074295, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9074385, 9074385, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9074523, 9074523, GencodeFuncotation.VariantType.SNP, "C", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9074565, 9074565, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9074606, 9074606, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9074625, 9074625, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9074665, 9074665, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9074696, 9074696, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9074822, 9074822, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9074844, 9074844, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9074848, 9074848, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9074858, 9074858, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9074867, 9074867, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9074883, 9074883, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9074894, 9074894, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9074898, 9074898, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9074907, 9074907, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9074913, 9074913, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9074964, 9074964, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9074987, 9074987, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9074991, 9074991, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9074994, 9074994, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9075170, 9075170, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9075173, 9075173, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9075211, 9075211, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9075252, 9075252, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9075287, 9075287, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9075298, 9075298, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9075336, 9075336, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9075372, 9075372, GencodeFuncotation.VariantType.SNP, "T", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9075374, 9075374, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9075383, 9075383, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9075392, 9075392, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9075414, 9075414, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9075484, 9075484, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9075542, 9075542, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9075654, 9075654, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9075684, 9075684, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9075687, 9075687, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9075747, 9075747, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9075775, 9075775, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9075783, 9075783, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9075800, 9075800, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9075829, 9075829, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9075901, 9075901, GencodeFuncotation.VariantType.SNP, "T", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9075928, 9075928, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9075932, 9075932, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9075994, 9075994, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9076139, 9076139, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9076180, 9076180, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9076269, 9076269, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9076306, 9076306, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9076384, 9076384, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9076401, 9076401, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9076429, 9076429, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9076487, 9076487, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9076497, 9076497, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9076527, 9076527, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9076530, 9076530, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9076539, 9076539, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9076568, 9076568, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9076674, 9076674, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9076695, 9076695, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9076700, 9076700, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9076735, 9076735, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9076809, 9076809, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9076820, 9076820, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9076829, 9076829, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9076839, 9076839, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9076840, 9076840, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9076887, 9076887, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9076958, 9076958, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9077007, 9077007, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9077049, 9077049, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9077090, 9077090, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9077116, 9077116, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9077118, 9077118, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9077142, 9077142, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9077155, 9077155, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9077159, 9077159, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.NONSENSE},
                new Object[] {19, 9077248, 9077248, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9077276, 9077276, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9077304, 9077304, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9077349, 9077349, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9077387, 9077387, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9077420, 9077420, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9077424, 9077424, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9077469, 9077469, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9077502, 9077502, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9077510, 9077510, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9077538, 9077538, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9077594, 9077594, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9077652, 9077652, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9077700, 9077700, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9077717, 9077717, GencodeFuncotation.VariantType.SNP, "T", "C", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9077720, 9077720, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9077726, 9077726, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9077737, 9077737, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9077764, 9077764, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9077766, 9077766, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9077809, 9077809, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9077817, 9077817, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9077822, 9077822, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9077847, 9077847, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9080501, 9080501, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9080519, 9080519, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9082363, 9082363, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9082364, 9082364, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9082369, 9082369, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9082412, 9082412, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9082421, 9082421, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9082451, 9082451, GencodeFuncotation.VariantType.SNP, "T", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9082466, 9082466, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9082490, 9082490, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9082505, 9082505, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9082508, 9082508, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9082600, 9082600, GencodeFuncotation.VariantType.SNP, "T", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9082626, 9082626, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9082643, 9082643, GencodeFuncotation.VariantType.SNP, "C", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9082654, 9082654, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9082689, 9082689, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9082792, 9082792, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9082794, 9082794, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9082904, 9082904, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9082925, 9082925, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9082977, 9082977, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9082989, 9082989, GencodeFuncotation.VariantType.SNP, "C", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9083027, 9083027, GencodeFuncotation.VariantType.SNP, "A", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9083035, 9083035, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9083067, 9083067, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9083076, 9083076, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9083098, 9083098, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9083160, 9083160, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9083224, 9083224, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9083238, 9083238, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9083258, 9083258, GencodeFuncotation.VariantType.SNP, "T", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9083269, 9083269, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9083281, 9083281, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9083300, 9083300, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9083313, 9083313, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9083324, 9083324, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9083352, 9083352, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9083416, 9083416, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9083474, 9083474, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9083510, 9083510, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9083532, 9083532, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9083542, 9083542, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9083554, 9083554, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9083586, 9083586, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9083611, 9083611, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9083630, 9083630, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9083644, 9083644, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9083846, 9083846, GencodeFuncotation.VariantType.SNP, "G", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9083864, 9083864, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9083882, 9083882, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9083906, 9083906, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9084051, 9084051, GencodeFuncotation.VariantType.SNP, "T", "C", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9084244, 9084244, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9084257, 9084257, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9084263, 9084263, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9084492, 9084492, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9084500, 9084500, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9084523, 9084523, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9084542, 9084542, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9084598, 9084598, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9084604, 9084604, GencodeFuncotation.VariantType.SNP, "G", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9084607, 9084607, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9084638, 9084638, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9084665, 9084665, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9084701, 9084701, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9084753, 9084753, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9084779, 9084779, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9084790, 9084790, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9084874, 9084874, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9084930, 9084930, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.NONSENSE},
                new Object[] {19, 9084946, 9084946, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085008, 9085008, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9085016, 9085016, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085017, 9085017, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9085046, 9085046, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085057, 9085057, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085237, 9085237, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085246, 9085246, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085264, 9085264, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085301, 9085301, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085314, 9085314, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9085370, 9085370, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085375, 9085375, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085376, 9085376, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085397, 9085397, GencodeFuncotation.VariantType.SNP, "T", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085435, 9085435, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085456, 9085456, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085475, 9085475, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.NONSENSE},
                new Object[] {19, 9085498, 9085498, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085504, 9085504, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085534, 9085534, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085544, 9085544, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085550, 9085550, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085554, 9085554, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9085565, 9085565, GencodeFuncotation.VariantType.SNP, "T", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085580, 9085580, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085586, 9085586, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085591, 9085591, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085622, 9085622, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085631, 9085631, GencodeFuncotation.VariantType.SNP, "T", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085683, 9085683, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9085734, 9085734, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9085769, 9085769, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085830, 9085830, GencodeFuncotation.VariantType.SNP, "A", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9085838, 9085838, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085846, 9085846, GencodeFuncotation.VariantType.SNP, "A", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085985, 9085985, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085991, 9085991, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9085995, 9085995, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9085999, 9085999, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9086131, 9086131, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9086149, 9086149, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9086150, 9086150, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9086175, 9086175, GencodeFuncotation.VariantType.SNP, "A", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9086177, 9086177, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9086190, 9086190, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9086274, 9086274, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9086450, 9086450, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9086464, 9086464, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9086521, 9086521, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9086535, 9086535, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9086595, 9086595, GencodeFuncotation.VariantType.SNP, "A", "G", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9086617, 9086617, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9086684, 9086684, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9086687, 9086687, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9086692, 9086692, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9086706, 9086706, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9086712, 9086712, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9086722, 9086722, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9086743, 9086743, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9086812, 9086812, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9086816, 9086816, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9086851, 9086851, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9086857, 9086857, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9086883, 9086883, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9086891, 9086891, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9086960, 9086960, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9087098, 9087098, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9087174, 9087174, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9087251, 9087251, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9087344, 9087344, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9087347, 9087347, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9087373, 9087373, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9087450, 9087450, GencodeFuncotation.VariantType.SNP, "G", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9087495, 9087495, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9087601, 9087601, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9087679, 9087679, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9087697, 9087697, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9087718, 9087718, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9087822, 9087822, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9087881, 9087881, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9087887, 9087887, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9087897, 9087897, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9087899, 9087899, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9087904, 9087904, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9087932, 9087932, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9087944, 9087944, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9088081, 9088081, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9088103, 9088103, GencodeFuncotation.VariantType.SNP, "T", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9088106, 9088106, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9088132, 9088132, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9088159, 9088159, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9088160, 9088160, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9088177, 9088177, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9088178, 9088178, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9088237, 9088237, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9088300, 9088300, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9088326, 9088326, GencodeFuncotation.VariantType.SNP, "G", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9088334, 9088334, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9088356, 9088356, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9088430, 9088430, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9088509, 9088509, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9088521, 9088521, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9088564, 9088564, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9088636, 9088636, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9088726, 9088726, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9088734, 9088734, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9088751, 9088751, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9088781, 9088781, GencodeFuncotation.VariantType.SNP, "T", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9088812, 9088812, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9088815, 9088815, GencodeFuncotation.VariantType.SNP, "T", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9088834, 9088834, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9088839, 9088839, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9088841, 9088841, GencodeFuncotation.VariantType.SNP, "G", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9088904, 9088904, GencodeFuncotation.VariantType.SNP, "T", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9088939, 9088939, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9088960, 9088960, GencodeFuncotation.VariantType.SNP, "T", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9088962, 9088962, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9089000, 9089000, GencodeFuncotation.VariantType.SNP, "T", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089011, 9089011, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089035, 9089035, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089082, 9089082, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9089089, 9089089, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089115, 9089115, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9089119, 9089119, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089120, 9089120, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089128, 9089128, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089200, 9089200, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089201, 9089201, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089206, 9089206, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089213, 9089213, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089251, 9089251, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089417, 9089417, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089422, 9089422, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089446, 9089446, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089545, 9089545, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089550, 9089550, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9089551, 9089551, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089598, 9089598, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9089612, 9089612, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089642, 9089642, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089658, 9089658, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9089680, 9089680, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089699, 9089699, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089737, 9089737, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089741, 9089741, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089865, 9089865, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9089866, 9089866, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089878, 9089878, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089883, 9089883, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9089904, 9089904, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9089917, 9089917, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089934, 9089934, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9089940, 9089940, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9089977, 9089977, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089986, 9089986, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9089999, 9089999, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9090068, 9090068, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9090078, 9090078, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9090102, 9090102, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9090133, 9090133, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9090172, 9090172, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9090179, 9090179, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9090186, 9090186, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9090293, 9090293, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9090331, 9090331, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9090343, 9090343, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9090379, 9090379, GencodeFuncotation.VariantType.SNP, "G", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9090467, 9090467, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9090482, 9090482, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9090497, 9090497, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9090523, 9090523, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9090527, 9090527, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9090533, 9090533, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9090539, 9090539, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9090556, 9090556, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9090567, 9090567, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9090630, 9090630, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9090653, 9090653, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9090722, 9090722, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9090729, 9090729, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9090748, 9090748, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9090772, 9090772, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9090789, 9090789, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9090790, 9090790, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9090826, 9090826, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9090831, 9090831, GencodeFuncotation.VariantType.SNP, "A", "G", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9091052, 9091052, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9091108, 9091108, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9091122, 9091122, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9091124, 9091124, GencodeFuncotation.VariantType.SNP, "C", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9091160, 9091160, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9091236, 9091236, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9091259, 9091259, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9091275, 9091275, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.NONSENSE},
                new Object[] {19, 9091388, 9091388, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9091402, 9091402, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9091430, 9091430, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9091441, 9091441, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9091470, 9091470, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9091517, 9091517, GencodeFuncotation.VariantType.SNP, "T", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9091556, 9091556, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9091567, 9091567, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9091577, 9091577, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9091597, 9091597, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9091598, 9091598, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9091626, 9091626, GencodeFuncotation.VariantType.SNP, "G", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9091639, 9091639, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9091661, 9091661, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9091671, 9091671, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9091810, 9091810, GencodeFuncotation.VariantType.SNP, "A", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9091815, 9091815, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.FIVE_PRIME_UTR}
        );
    }

    static List<Object[]> provideSnpDataForGetVariantClassification_2() {
        return Arrays.asList(
                new Object[] {19, 8966742, 8966742, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8966751, 8966751, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8969281, 8969281, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8969339, 8969339, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8971824, 8971824, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SPLICE_SITE},
                new Object[] {19, 8973575, 8973575, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8974052, 8974052, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8974062, 8974062, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8976277, 8976277, GencodeFuncotation.VariantType.SNP, "T", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8976423, 8976423, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8976592, 8976592, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8976641, 8976641, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8976750, 8976750, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8976756, 8976756, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8976763, 8976763, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8976783, 8976783, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8976784, 8976784, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8976789, 8976789, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8976814, 8976814, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8979244, 8979244, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8982210, 8982210, GencodeFuncotation.VariantType.SNP, "C", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8982215, 8982215, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8982296, 8982296, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8987264, 8987264, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8987295, 8987295, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8987332, 8987332, GencodeFuncotation.VariantType.SNP, "C", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8993038, 8993038, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8993392, 8993392, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8993398, 8993398, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8993436, 8993436, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8993443, 8993443, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8993535, 8993535, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8994157, 8994157, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8994429, 8994429, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8994476, 8994476, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8994489, 8994489, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8994501, 8994501, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8994510, 8994510, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8994513, 8994513, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8995651, 8995651, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8995652, 8995652, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8995663, 8995663, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8995693, 8995693, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8995964, 8995964, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8996339, 8996339, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8996340, 8996340, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8996474, 8996474, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8996489, 8996489, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8997151, 8997151, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8997177, 8997177, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8997424, 8997424, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8997440, 8997440, GencodeFuncotation.VariantType.SNP, "T", "G", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8998736, 8998736, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8999056, 8999056, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8999411, 8999411, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 8999468, 8999468, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.NONSENSE},
                new Object[] {19, 8999484, 8999484, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8999499, 8999499, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8999545, 8999545, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8999551, 8999551, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 8999555, 8999555, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9000160, 9000160, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9000207, 9000207, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9000453, 9000453, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9000458, 9000458, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9000475, 9000475, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9001894, 9001894, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9002184, 9002184, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9002624, 9002624, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9002672, 9002672, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SPLICE_SITE},
                new Object[] {19, 9003586, 9003586, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9003603, 9003603, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9005594, 9005594, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9005597, 9005597, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9005617, 9005617, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9005631, 9005631, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9005651, 9005651, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9006363, 9006363, GencodeFuncotation.VariantType.SNP, "A", "G", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9006660, 9006660, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9006662, 9006662, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9007535, 9007535, GencodeFuncotation.VariantType.SNP, "C", "G", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9007833, 9007833, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9008208, 9008208, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9008345, 9008345, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SPLICE_SITE},
                new Object[] {19, 9009273, 9009273, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9009333, 9009333, GencodeFuncotation.VariantType.SNP, "A", "G", GencodeFuncotation.VariantClassification.SPLICE_SITE},
                new Object[] {19, 9009648, 9009648, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9009651, 9009651, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9009703, 9009703, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9010664, 9010664, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9010671, 9010671, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9010676, 9010676, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9010677, 9010677, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9010979, 9010979, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9011382, 9011382, GencodeFuncotation.VariantType.SNP, "T", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9011397, 9011397, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9012794, 9012794, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9012839, 9012839, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9012850, 9012850, GencodeFuncotation.VariantType.SNP, "T", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9012861, 9012861, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9013857, 9013857, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9013882, 9013882, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9013898, 9013898, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9014191, 9014191, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9014198, 9014198, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9014552, 9014552, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9014585, 9014585, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9014622, 9014622, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9014636, 9014636, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9014639, 9014639, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9014698, 9014698, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9014700, 9014700, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9015342, 9015342, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9015627, 9015627, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9016683, 9016683, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9017365, 9017365, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9017418, 9017418, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9017436, 9017436, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9017438, 9017438, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9017450, 9017450, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9017514, 9017514, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9018453, 9018453, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9018458, 9018458, GencodeFuncotation.VariantType.SNP, "A", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9018484, 9018484, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9018509, 9018509, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9018545, 9018545, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9019291, 9019291, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9019292, 9019292, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9019313, 9019313, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9019338, 9019338, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9020006, 9020006, GencodeFuncotation.VariantType.SNP, "T", "G", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9020060, 9020060, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9020067, 9020067, GencodeFuncotation.VariantType.SNP, "C", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9020077, 9020077, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9020092, 9020092, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9020132, 9020132, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9020785, 9020785, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9021059, 9021059, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9021104, 9021104, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9024172, 9024172, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9024180, 9024180, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9024193, 9024193, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9024197, 9024197, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9025625, 9025625, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9026203, 9026203, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9026227, 9026227, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9026256, 9026256, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9026299, 9026299, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9027222, 9027222, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9027568, 9027568, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9028320, 9028320, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9028347, 9028347, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9028394, 9028394, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9033650, 9033650, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9038103, 9038103, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9038404, 9038404, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9043442, 9043442, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.NONSENSE},
                new Object[] {19, 9045590, 9045590, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9045613, 9045613, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9045740, 9045740, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9045750, 9045750, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9045834, 9045834, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9045877, 9045877, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.NONSENSE},
                new Object[] {19, 9045903, 9045903, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9045922, 9045922, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9045944, 9045944, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9045956, 9045956, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9046005, 9046005, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9046026, 9046026, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9046043, 9046043, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9046044, 9046044, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9046048, 9046048, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9046062, 9046062, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9046066, 9046066, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9046079, 9046079, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9046165, 9046165, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9046168, 9046168, GencodeFuncotation.VariantType.SNP, "A", "C", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9046211, 9046211, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9046254, 9046254, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9046272, 9046272, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9046410, 9046410, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9046505, 9046505, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9046526, 9046526, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9046592, 9046592, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9046600, 9046600, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9046630, 9046630, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9046631, 9046631, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9046738, 9046738, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9046787, 9046787, GencodeFuncotation.VariantType.SNP, "C", "G", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9046853, 9046853, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9046907, 9046907, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9046923, 9046923, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9046965, 9046965, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9046973, 9046973, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9047030, 9047030, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9047124, 9047124, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9047148, 9047148, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9047175, 9047175, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9047181, 9047181, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9047238, 9047238, GencodeFuncotation.VariantType.SNP, "T", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9047336, 9047336, GencodeFuncotation.VariantType.SNP, "G", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9047352, 9047352, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9047536, 9047536, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9047542, 9047542, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9047571, 9047571, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9047620, 9047620, GencodeFuncotation.VariantType.SNP, "C", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9047693, 9047693, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9047708, 9047708, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9047714, 9047714, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9047750, 9047750, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9047769, 9047769, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9047822, 9047822, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9047843, 9047843, GencodeFuncotation.VariantType.SNP, "T", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9047864, 9047864, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9047882, 9047882, GencodeFuncotation.VariantType.SNP, "A", "G", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9047904, 9047904, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9047932, 9047932, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9047995, 9047995, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9048013, 9048013, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9048053, 9048053, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9048058, 9048058, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9048071, 9048071, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9048086, 9048086, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9048113, 9048113, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9048182, 9048182, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9048215, 9048215, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9048241, 9048241, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9048259, 9048259, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9048281, 9048281, GencodeFuncotation.VariantType.SNP, "G", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9048344, 9048344, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9048354, 9048354, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9048383, 9048383, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9048429, 9048429, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9048458, 9048458, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9048527, 9048527, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9048589, 9048589, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9048603, 9048603, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9048675, 9048675, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9048722, 9048722, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9048748, 9048748, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9048749, 9048749, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9048764, 9048764, GencodeFuncotation.VariantType.SNP, "A", "G", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9048771, 9048771, GencodeFuncotation.VariantType.SNP, "A", "G", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9048826, 9048826, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9048836, 9048836, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9048845, 9048845, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9048855, 9048855, GencodeFuncotation.VariantType.SNP, "C", "G", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9048867, 9048867, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9048950, 9048950, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9048951, 9048951, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9049005, 9049005, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9049034, 9049034, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9049043, 9049043, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9049049, 9049049, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9049091, 9049091, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9049101, 9049101, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9049121, 9049121, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.NONSENSE},
                new Object[] {19, 9049163, 9049163, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9049182, 9049182, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9049196, 9049196, GencodeFuncotation.VariantType.SNP, "G", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9049206, 9049206, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.NONSENSE},
                new Object[] {19, 9049258, 9049258, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9049298, 9049298, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9049400, 9049400, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9049457, 9049457, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9049484, 9049484, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9049492, 9049492, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9049518, 9049518, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9049537, 9049537, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9049605, 9049605, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9049612, 9049612, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9049655, 9049655, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9049710, 9049710, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9049823, 9049823, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9049903, 9049903, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9049915, 9049915, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9049941, 9049941, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9049948, 9049948, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9049971, 9049971, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9050038, 9050038, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9050067, 9050067, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9050129, 9050129, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9050137, 9050137, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9050170, 9050170, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9050196, 9050196, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9054252, 9054252, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9054339, 9054339, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9056223, 9056223, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9056224, 9056224, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9056230, 9056230, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9056254, 9056254, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9056299, 9056299, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9056341, 9056341, GencodeFuncotation.VariantType.SNP, "T", "G", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9056344, 9056344, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9056435, 9056435, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9056445, 9056445, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9056448, 9056448, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9056480, 9056480, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9056557, 9056557, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9056563, 9056563, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9056568, 9056568, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9056574, 9056574, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9056625, 9056625, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9056720, 9056720, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9056722, 9056722, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9056776, 9056776, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9056795, 9056795, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9056805, 9056805, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.NONSENSE},
                new Object[] {19, 9056850, 9056850, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9056855, 9056855, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9056878, 9056878, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9056883, 9056883, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9057011, 9057011, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9057032, 9057032, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9057040, 9057040, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9057066, 9057066, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9057093, 9057093, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9057123, 9057123, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9057157, 9057157, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9057172, 9057172, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9057220, 9057220, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9057290, 9057290, GencodeFuncotation.VariantType.SNP, "T", "G", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9057356, 9057356, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9057364, 9057364, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9057378, 9057378, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9057400, 9057400, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9057542, 9057542, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9057556, 9057556, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9057582, 9057582, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9057584, 9057584, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9057605, 9057605, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9057615, 9057615, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9057632, 9057632, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9057713, 9057713, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9057747, 9057747, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9057754, 9057754, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9057771, 9057771, GencodeFuncotation.VariantType.SNP, "G", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9057787, 9057787, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9057803, 9057803, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9057805, 9057805, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9057895, 9057895, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9057898, 9057898, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9057930, 9057930, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9057936, 9057936, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9057962, 9057962, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9057986, 9057986, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9058027, 9058027, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9058034, 9058034, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9058049, 9058049, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9058095, 9058095, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9058106, 9058106, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9058153, 9058153, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9058180, 9058180, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9058186, 9058186, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9058191, 9058191, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9058194, 9058194, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9058245, 9058245, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9058260, 9058260, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9058282, 9058282, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9058283, 9058283, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9058301, 9058301, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.NONSENSE},
                new Object[] {19, 9058358, 9058358, GencodeFuncotation.VariantType.SNP, "T", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9058359, 9058359, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9058360, 9058360, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9058382, 9058382, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9058517, 9058517, GencodeFuncotation.VariantType.SNP, "T", "C", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9058519, 9058519, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9058524, 9058524, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9058555, 9058555, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9058581, 9058581, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9058623, 9058623, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9058656, 9058656, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9058672, 9058672, GencodeFuncotation.VariantType.SNP, "G", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9058777, 9058777, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9058876, 9058876, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9058908, 9058908, GencodeFuncotation.VariantType.SNP, "T", "G", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9058952, 9058952, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9059000, 9059000, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9059043, 9059043, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9059045, 9059045, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9059063, 9059063, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9059164, 9059164, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9059200, 9059200, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9059273, 9059273, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9059329, 9059329, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9059369, 9059369, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9059370, 9059370, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9059391, 9059391, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9059418, 9059418, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9059445, 9059445, GencodeFuncotation.VariantType.SNP, "G", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9059447, 9059447, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9059450, 9059450, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9059483, 9059483, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9059493, 9059493, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9059510, 9059510, GencodeFuncotation.VariantType.SNP, "C", "G", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9059574, 9059574, GencodeFuncotation.VariantType.SNP, "A", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9059611, 9059611, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.NONSENSE},
                new Object[] {19, 9059723, 9059723, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9059777, 9059777, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9059785, 9059785, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9059806, 9059806, GencodeFuncotation.VariantType.SNP, "T", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9059844, 9059844, GencodeFuncotation.VariantType.SNP, "G", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9059860, 9059860, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060012, 9060012, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060020, 9060020, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9060067, 9060067, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060089, 9060089, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060102, 9060102, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060131, 9060131, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9060133, 9060133, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060158, 9060158, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT}
        );
    }

    static List<Object[]> provideSnpDataForGetVariantClassification_3() {
        return Arrays.asList(
                new Object[] {19, 9060189, 9060189, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060190, 9060190, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060196, 9060196, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060263, 9060263, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9060272, 9060272, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9060306, 9060306, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060313, 9060313, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060338, 9060338, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060353, 9060353, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9060378, 9060378, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060381, 9060381, GencodeFuncotation.VariantType.SNP, "A", "G", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060392, 9060392, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9060431, 9060431, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9060457, 9060457, GencodeFuncotation.VariantType.SNP, "T", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060492, 9060492, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060569, 9060569, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9060576, 9060576, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060664, 9060664, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060710, 9060710, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060785, 9060785, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9060792, 9060792, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060828, 9060828, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060837, 9060837, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060853, 9060853, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060859, 9060859, GencodeFuncotation.VariantType.SNP, "T", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060867, 9060867, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060891, 9060891, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060904, 9060904, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060909, 9060909, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060940, 9060940, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9060965, 9060965, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9061005, 9061005, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9061038, 9061038, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9061059, 9061059, GencodeFuncotation.VariantType.SNP, "G", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9061069, 9061069, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9061105, 9061105, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9061109, 9061109, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9061148, 9061148, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9061149, 9061149, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9061161, 9061161, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9061169, 9061169, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9061180, 9061180, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9061224, 9061224, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9061272, 9061272, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9061307, 9061307, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9061310, 9061310, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9061313, 9061313, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9061397, 9061397, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9061464, 9061464, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9061470, 9061470, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9061487, 9061487, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9061493, 9061493, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9061525, 9061525, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9061528, 9061528, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9061543, 9061543, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9061597, 9061597, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9061664, 9061664, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9061715, 9061715, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9061767, 9061767, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9061785, 9061785, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9061789, 9061789, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9061796, 9061796, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9061851, 9061851, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9061857, 9061857, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9061891, 9061891, GencodeFuncotation.VariantType.SNP, "A", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9061944, 9061944, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9061972, 9061972, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9061992, 9061992, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9062015, 9062015, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9062025, 9062025, GencodeFuncotation.VariantType.SNP, "G", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9062027, 9062027, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9062037, 9062037, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9062045, 9062045, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9062055, 9062055, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9062066, 9062066, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9062075, 9062075, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9062082, 9062082, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9062146, 9062146, GencodeFuncotation.VariantType.SNP, "T", "G", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9062157, 9062157, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9062169, 9062169, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9062188, 9062188, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9062265, 9062265, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9062392, 9062392, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9062444, 9062444, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9062445, 9062445, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9062451, 9062451, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9062500, 9062500, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9062517, 9062517, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9062543, 9062543, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9062546, 9062546, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9062579, 9062579, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9062585, 9062585, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9062601, 9062601, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9062673, 9062673, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9062685, 9062685, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.NONSENSE},
                new Object[] {19, 9062726, 9062726, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9062771, 9062771, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.NONSENSE},
                new Object[] {19, 9062833, 9062833, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9062910, 9062910, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9062912, 9062912, GencodeFuncotation.VariantType.SNP, "A", "C", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9062966, 9062966, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9062981, 9062981, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9062982, 9062982, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9063015, 9063015, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9063016, 9063016, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9063117, 9063117, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9063144, 9063144, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9063190, 9063190, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9063255, 9063255, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9063268, 9063268, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9063345, 9063345, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9063387, 9063387, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9063434, 9063434, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9063438, 9063438, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9063451, 9063451, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9063486, 9063486, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9063534, 9063534, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9063547, 9063547, GencodeFuncotation.VariantType.SNP, "T", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9063558, 9063558, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9063558, 9063558, GencodeFuncotation.VariantType.SNP, "G", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9063559, 9063559, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9063570, 9063570, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.NONSENSE},
                new Object[] {19, 9063573, 9063573, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9063593, 9063593, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9063611, 9063611, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9063622, 9063622, GencodeFuncotation.VariantType.SNP, "A", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9063773, 9063773, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9063802, 9063802, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9063832, 9063832, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9063836, 9063836, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9063850, 9063850, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9063888, 9063888, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9063915, 9063915, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9063923, 9063923, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9063943, 9063943, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9063944, 9063944, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9063956, 9063956, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9063963, 9063963, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9063965, 9063965, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9063986, 9063986, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9064001, 9064001, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9064199, 9064199, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9064221, 9064221, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9064290, 9064290, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9064299, 9064299, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9064305, 9064305, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9064313, 9064313, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9064338, 9064338, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9064344, 9064344, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9064379, 9064379, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9064386, 9064386, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9064399, 9064399, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9064403, 9064403, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9064409, 9064409, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9064411, 9064411, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9064451, 9064451, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9064452, 9064452, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9064474, 9064474, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9064480, 9064480, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9064483, 9064483, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.NONSENSE},
                new Object[] {19, 9064549, 9064549, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9064566, 9064566, GencodeFuncotation.VariantType.SNP, "G", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9064619, 9064619, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9064628, 9064628, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9064631, 9064631, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9064667, 9064667, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9064689, 9064689, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9064721, 9064721, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9064755, 9064755, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9064771, 9064771, GencodeFuncotation.VariantType.SNP, "C", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9064799, 9064799, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9064856, 9064856, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9064917, 9064917, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9065029, 9065029, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9065032, 9065032, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9065041, 9065041, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9065080, 9065080, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9065098, 9065098, GencodeFuncotation.VariantType.SNP, "T", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9065219, 9065219, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9065230, 9065230, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9065265, 9065265, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9065268, 9065268, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9065317, 9065317, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9065348, 9065348, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9065364, 9065364, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9065396, 9065396, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9065398, 9065398, GencodeFuncotation.VariantType.SNP, "A", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9065405, 9065405, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9065406, 9065406, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9065502, 9065502, GencodeFuncotation.VariantType.SNP, "G", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9065535, 9065535, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9065577, 9065577, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9065681, 9065681, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9065698, 9065698, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9065720, 9065720, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9065721, 9065721, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9065737, 9065737, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.NONSENSE},
                new Object[] {19, 9065739, 9065739, GencodeFuncotation.VariantType.SNP, "A", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9065788, 9065788, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9065824, 9065824, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9065829, 9065829, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9065866, 9065866, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9065879, 9065879, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9065888, 9065888, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9065925, 9065925, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9065994, 9065994, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9066038, 9066038, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9066073, 9066073, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9066116, 9066116, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9066121, 9066121, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9066158, 9066158, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9066175, 9066175, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9066182, 9066182, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9066184, 9066184, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9066247, 9066247, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9066331, 9066331, GencodeFuncotation.VariantType.SNP, "A", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9066340, 9066340, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9066356, 9066356, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9066420, 9066420, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9066457, 9066457, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9066477, 9066477, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9066494, 9066494, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9066502, 9066502, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9066519, 9066519, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9066520, 9066520, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9066532, 9066532, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9066554, 9066554, GencodeFuncotation.VariantType.SNP, "A", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9066570, 9066570, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9066578, 9066578, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9066587, 9066587, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9066603, 9066603, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9066695, 9066695, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9066772, 9066772, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9067129, 9067129, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9067148, 9067148, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9067149, 9067149, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9067219, 9067219, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9067222, 9067222, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9067224, 9067224, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9067233, 9067233, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9067238, 9067238, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9067275, 9067275, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9067300, 9067300, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9067326, 9067326, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9067330, 9067330, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9067341, 9067341, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9067342, 9067342, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9067346, 9067346, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9067427, 9067427, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9067445, 9067445, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9067464, 9067464, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9067484, 9067484, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9067504, 9067504, GencodeFuncotation.VariantType.SNP, "C", "A", GencodeFuncotation.VariantClassification.NONSENSE},
                new Object[] {19, 9067599, 9067599, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9067623, 9067623, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9067633, 9067633, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9067634, 9067634, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9067679, 9067679, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9067716, 9067716, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9067811, 9067811, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9067834, 9067834, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9067908, 9067908, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9067930, 9067930, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9068001, 9068001, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9068007, 9068007, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9068032, 9068032, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9068061, 9068061, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.NONSENSE},
                new Object[] {19, 9068069, 9068069, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9068117, 9068117, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9068151, 9068151, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9068160, 9068160, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9068203, 9068203, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9068217, 9068217, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9068223, 9068223, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9068232, 9068232, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9068247, 9068247, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9068288, 9068288, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9068306, 9068306, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9068327, 9068327, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9068354, 9068354, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9068396, 9068396, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9068414, 9068414, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9068444, 9068444, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9068484, 9068484, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9068506, 9068506, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9068621, 9068621, GencodeFuncotation.VariantType.SNP, "T", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9068660, 9068660, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9068671, 9068671, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9068704, 9068704, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9068743, 9068743, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9068756, 9068756, GencodeFuncotation.VariantType.SNP, "T", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9068790, 9068790, GencodeFuncotation.VariantType.SNP, "T", "C", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9068830, 9068830, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9068846, 9068846, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9068878, 9068878, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9068901, 9068901, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9068965, 9068965, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9069045, 9069045, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9069052, 9069052, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9069094, 9069094, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9069097, 9069097, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9069117, 9069117, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9069180, 9069180, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9069185, 9069185, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9069347, 9069347, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9069352, 9069352, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9069366, 9069366, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9069395, 9069395, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9069548, 9069548, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9069570, 9069570, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9069614, 9069614, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9069622, 9069622, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9069660, 9069660, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9069682, 9069682, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9069683, 9069683, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9069690, 9069690, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9069754, 9069754, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9069821, 9069821, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9069839, 9069839, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9069874, 9069874, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9069895, 9069895, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9069926, 9069926, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9069981, 9069981, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9070067, 9070067, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9070090, 9070090, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9070154, 9070154, GencodeFuncotation.VariantType.SNP, "A", "C", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9070177, 9070177, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9070231, 9070231, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9070251, 9070251, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9070255, 9070255, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9070263, 9070263, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9070319, 9070319, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9070360, 9070360, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9070394, 9070394, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9070500, 9070500, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9070509, 9070509, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9070515, 9070515, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9070533, 9070533, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9070546, 9070546, GencodeFuncotation.VariantType.SNP, "G", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9070548, 9070548, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9070567, 9070567, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9070578, 9070578, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9070674, 9070674, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9070704, 9070704, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9070705, 9070705, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9070708, 9070708, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9070709, 9070709, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9070778, 9070778, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9070817, 9070817, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9070835, 9070835, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9070856, 9070856, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9070884, 9070884, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9070955, 9070955, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9070973, 9070973, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9071105, 9071105, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9071190, 9071190, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9071243, 9071243, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9071252, 9071252, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9071269, 9071269, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9071280, 9071280, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9071324, 9071324, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9071371, 9071371, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9071467, 9071467, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9071513, 9071513, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9071592, 9071592, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9071595, 9071595, GencodeFuncotation.VariantType.SNP, "A", "G", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9071650, 9071650, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9071657, 9071657, GencodeFuncotation.VariantType.SNP, "T", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9071673, 9071673, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9071723, 9071723, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9071744, 9071744, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9071745, 9071745, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9071765, 9071765, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9071825, 9071825, GencodeFuncotation.VariantType.SNP, "T", "G", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9071953, 9071953, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9071966, 9071966, GencodeFuncotation.VariantType.SNP, "C", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9072036, 9072036, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9072087, 9072087, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9072091, 9072091, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9072100, 9072100, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9072101, 9072101, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9072128, 9072128, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9072184, 9072184, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9072251, 9072251, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9072284, 9072284, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9072286, 9072286, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9072287, 9072287, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9072320, 9072320, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9072321, 9072321, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9072326, 9072326, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9072352, 9072352, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9072407, 9072407, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9072414, 9072414, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9072421, 9072421, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9072472, 9072472, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9072482, 9072482, GencodeFuncotation.VariantType.SNP, "A", "T", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9072508, 9072508, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9072540, 9072540, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9072587, 9072587, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9072618, 9072618, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9072625, 9072625, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9072702, 9072702, GencodeFuncotation.VariantType.SNP, "A", "G", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9072723, 9072723, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9072763, 9072763, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9072844, 9072844, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9072845, 9072845, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9073021, 9073021, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9073131, 9073131, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9073213, 9073213, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9073396, 9073396, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9073481, 9073481, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.SILENT},
                new Object[] {19, 9073507, 9073507, GencodeFuncotation.VariantType.SNP, "G", "A", GencodeFuncotation.VariantClassification.MISSENSE},
                new Object[] {19, 9073527, 9073527, GencodeFuncotation.VariantType.SNP, "G", "T", GencodeFuncotation.VariantClassification.MISSENSE}
        );
    }

    static List<Object[]> provideSnpDataForGetVariantClassification_NotInCDS() {
        return Arrays.asList(
                new Object[] {19, 9080450, 9080450, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SPLICE_SITE},
                new Object[] {19, 8994416, 8994416, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SPLICE_SITE},
                new Object[] {19, 9000146, 9000146, GencodeFuncotation.VariantType.SNP, "C", "T", GencodeFuncotation.VariantClassification.SPLICE_SITE}
        );
    }
}
